﻿/*Title*/
.legend-filter {
    display: flex;
    align-items: center;
    cursor: pointer;
}

    .legend-filter img {
        display: block;
        width: 19px;
        height: 19px;
        margin-right: 5px;
    }

    .legend-filter span {
        display: block;
        font-size: 12px;
        font-weight: 600;
        text-transform: uppercase;
        line-height: 1;
    }

.legend-line {
    /*margin:0 10px 0 20px;*/
}
/*Title-----END*/
/*.hide-btn {
    text-align:center;
}*/
/*Desktop banner and Button*/
.dn-title {
    font-family: 'Poppins', serif;
}

.td-img-Dine-banner {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: calc(90vh - 50px);
}

.Phonepbanner {
    display: none;
}

.Dine-Banner {
    position: relative;
}

/*.white-btn {
    position: absolute;
    text-transform: uppercase;
    top: 82%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    background: #ffffff;
    color: black;
    font-size: 16px;
    padding: 24px 45px;
    border: none;
    border-radius: 5px;
    text-align: center;
    font-weight: 700;
    line-height: 12px;
     box-shadow: 0 8px 20px rgba(0,0,0,0.3);
}*/

/*Desktop banner and Button---END*/

/*lOCATION ICON*/
.ed-icon {
    display: none;
    position: absolute;
    width: 40px;
    height: 40px;
    /*display: flex;*/
    justify-content: center;
    align-items: center;
    border: 1px solid white;
    border-radius: 50%;
    z-index: 1;
    right: 0px;
    top: 0px;
    margin: 16px 16px 0 0;
}

.location {
    width: 15px;
}

.dn-icon-wrap {
    display: flex;
    margin-bottom: 25px;
}

.dn-icon {
    position: relative;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* border: 1px solid #000; */
    border: 1px solid #fff;
    border-radius: 50%;
    cursor: pointer;
    transition: 300ms ease;
    border: 1px solid #000;
}

    .dn-icon:last-child {
        margin-left: 8px;
    }

.dn-call {
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url(../png/call.png);
    transition: 300ms ease;
}

.dn-loc {
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url(../png/location.png);
    transition: 300ms ease;
}

.dn-item {
    position: relative;
    /*min-height:430px;*/
    margin-bottom: 30px;
    padding-bottom: 20px;
}
/*lOCATION ICON ---END*/


.hideReserveBbtn {
    display: none;
}


/*Dine Items*/

.Dine-section {
    margin-top: 69px;
}


.Dineimg {
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    height: 200px;
    position: relative;
    margin-bottom: 18px;
}

/*veg icon */
.vegicon {
    background-color: #dfffe0;
    color: black;
    text-align: center;
    font-size: 10px;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px;
    padding: 5px 5px;
    text-transform: uppercase;
    font-weight: 700;
}
/*veg icon---END */

/*nonveg icon */
.nonvegicon {
    background-color: #ffe8e7;
    color: black;
    text-align: center;
    font-size: 10px;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px;
    padding: 5px 5px;
    text-transform: uppercase;
    font-weight: 700;
}
/*nonveg icon---END */



.item-span {
    font-size: 14px;
    color: black;
}


.hoverimg {
    display: none;
}

.dn-item:hover .hoverimg {
    display: block;
}



.hover-btn:hover {
    color: white;
}

.nonvegicon.fa, .vegicon.fa {
    padding-right: 5px !important;
}


.hoverimg {
    height: 20px;
    width: 18px;
    position: absolute;
    top: 11%;
    right: 0%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}

/*.hover-btn {
    transition: .5s ease;
    opacity:1;
    text-align:center;
    text-transform:uppercase;
    padding:20px 45px;
    background:linear-gradient(to bottom,#e31c17,#c9100c);
    font-size:14px;
    letter-spacing:1.4px;
    color:#fff;
    font-weight:600;
    line-height:12px;
    border-radius:5px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.3);
    transition:300ms ease;
    display:inline-block;
}*/
.hover-btn {
    /*border-radius: 5px;
  border: solid 1px #fff;
  color: #fff;
  padding: 12px 0;
  text-decoration: none;
  
  font-weight: 600; 
  text-transform:uppercase;
  cursor:pointer;
  font-size:12px;
  background-color:#000;
  display: inline-flex;
    align-items: center;
    justify-content: center;
        line-height: 1;*/
    /*border: 1px solid white;*/
    border-radius: 5px;
    padding: 8px 15px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    color: white;
    background: linear-gradient(to right, #A27D00 50%, black 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .5s ease-out;
}

    .hover-btn:hover {
        background-position: left bottom;
        color: white;
        /*border: 1px solid black;*/
    }

.dn-item:hover .hover-btn {
    opacity: 1;
}



.dn-time {
    margin-bottom: 15px;
}

.dn-item:hover {
    background-color: #f7f7f7;
}

.dn-time1 {
    display: none;
    margin-bottom: 15px;
}

.dn-item:hover .dn-time1 {
    display: block;
}

.dn-item:hover .fa {
    padding-right: 0px !important;
}


.dn-item:hover .dn-time {
    display: none;
}

/*Mouse Hover---END*/

.dn-text-wrap {
    margin-left: 16px;
    position: relative;
}

.dn-title {
    font-weight: 500;
    padding-right: 30px;
    color: black;
    font-size: 18px;
}

/*Footer padding*/
.dine-item {
    padding-bottom: 40px;
}
/*Footer padding---end*/

/*Dine Items---END*/

.dn-items-wrap {
    position: relative;
}




/*=====Media Queries=====*/

/*Most of the Smartphones Mobiles (Portrait)*/
@media (min-width: 320px) and (max-width: 480px) {
    /*Title*/
    .legend-va {
        display: block;
    }

    .legend-va-mobile {
        display: none;
    }

    .title-wrap {
        position: relative;
        justify-content: flex-start;
        margin-bottom: 31px;
    }

    .legend-title {
        font-size: 24px;
        padding: 0;
        background-color: transparent;
        line-height: 10px;
    }

    .legend-line {
        position: relative;
        width: 100%;
        left: auto;
        bottom: auto;
        margin: 0 5px 0 10px;
        z-index: -1;
    }

    .legend-filter img {
        width: 12px;
        height: 12px;
    }

    .legend-filter span {
        font-size: 10px;
    }
    /*Title-----END*/

    /*Banner Section*/
    .desktopbanner {
        display: none;
    }

    .Phonepbanner {
        display: block;
    }

    .td-img-Dine-phonebanner {
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        height: 419px;
    }


    /*.white-btn {
    font-size:10px;
    padding: 11px 30px;
    top: 88%;
     }*/
    /*Banner Section---END*/


    /*Hover-btn*/

    .hover-btn {
        padding: 10px 29px;
        font-size: 10px;
        opacity: 1;
        display: inline-block;
    }

    /*Hover-btn ---end*/

    .dn-text-wrap {
        margin-left: 10px;
    }

    .dn-time {
        display: block;
        margin-bottom: 18px;
    }

    .dn-title {
        font-size: 20px;
    }



    /*veg nonveg icons and span*/
    .item-span {
        font-size: 14px;
    }

    .nonvegicon {
        padding: 2px 4px;
        font-size: 9px;
    }

    .vegicon {
        font-size: 9px;
        padding: 2px 4px;
        margin-right: 6px;
    }

    /*veg nonveg icons and span---END*/


    /*Items*/
    .dn-item {
        margin-bottom: 0px;
        height: auto;
        min-height: 0px;
        /*padding-bottom: 31px;*/
    }

    /*Items--end*/


    .Dine-section {
        margin-top: 40px;
    }

    /*Location icon*/
    .ed-icon {
        height: 36px;
        width: 36px;
    }
    /*Location icon---END*/





    /*Hide and Shaow veg and nonveg icon*/
    .dn-item:hover .dn-time1 {
        display: none;
    }

    .dn-item:hover .hoverimg {
        display: none;
    }



    .dn-item:hover .dn-time {
        display: block;
    }


    .hoverimg {
        display: none;
    }

    /*Hide and Shaow veg and nonveg icon---END*/



    .dn-text-wrap {
        margin-left: 10px;
    }

    .dn-item:hover .fa {
        padding-right: 5px !important;
    }


    .Dineimg {
        margin-bottom: 16px;
    }

    .dn-item:hover {
        background-color: transparent;
    }

    /*Footer padding*/
    .dine-item {
        padding-bottom: 20px;
    }
    /*Footer padding---end*/

}

/*Low Resolution Tablets, Mobiles (Landscape)*/
@media (min-width: 481px) and (max-width: 767px) {

    .desktopbanner {
        display: none;
    }

    .Phonepbanner {
        display: block;
    }

    .dn-text-wrap {
        margin-left: 10px;
    }

    .dn-item:hover {
        background-color: transparent;
    }
}

/*Tablets, Ipads (portrait)*/
@media (min-width: 768px) and (max-width: 1023px) {

    .desktopbanner {
        display: none;
    }

    .Phonepbanner {
        display: block;
    }

    .td-img-Dine-phonebanner {
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        height: 890px;
    }

    .white-btn {
        top: 87%;
    }

    /*Hide and Shaow veg and nonveg icon*/
    .dn-item:hover .dn-time1 {
        display: none;
    }

    .dn-item:hover .dn-time {
        display: block;
    }

    .hoverimg {
        display: none;
    }

    .hover-btn {
        padding: 15px 30px;
        font-size: 13px;
        opacity: 1;
        display: inline-block;
    }

    /*Hide and Shaow veg and nonveg icon---END*/

    .dn-item {
        /*margin-bottom: 45px;*/
        height: auto;
    }

    .dn-text-wrap {
        margin-left: 10px;
    }

    .dn-item:hover .fa {
        padding-right: 5px !important;
    }

    .dn-item:hover .hoverimg {
        display: none;
    }

    /*Dine items images*/
    .Dineimg {
        height: 207PX;
    }
    /*Dine items images---END*/
    .title-wrap {
        margin-bottom: 40px;
    }

    .dn-item:hover {
        background-color: transparent;
    }
}

/*Tablets, Ipads (landscape)*/
@media (min-width: 850px) and (max-width: 1024px) and (orientation: landscape) {
}

/*Ipad Pro (portrait)*/
@media (min-width: 1024px) and (max-width: 1050px) and (orientation: portrait) {


    .td-img-Dine-banner {
        height: calc(35vh - 50px);
    }


    .dn-item:hover .fa {
        padding-right: 5px !important;
    }

    .dn-item:hover .hoverimg {
        display: none;
    }

    /*Hide and Shaow veg and nonveg icon*/
    .dn-item:hover .dn-time1 {
        display: none;
    }

    .dn-item:hover .dn-time {
        display: block;
    }

    .hoverimg {
        display: none;
    }

    .hover-btn {
        padding: 20px 50px;
        font-size: 13px;
        opacity: 1;
        display: inline-block;
    }

    /*Hide and Shaow veg and nonveg icon---END*/

    /*Dine Item Image*/
    .Dineimg {
        height: 283px;
    }
    /*Dine Item Image---END*/

    .dn-item:hover {
        background-color: transparent;
    }
}

/*1152×648, 1280×720, 1366×768,*/
@media (min-width: 1152px) and (max-width: 1599px) {

    .desktopbanner {
        display: block;
    }

    .Phonepbanner {
        display: none;
    }

    /*Banner button*/
    .white-btn {
        padding: 20px 28px;
    }
    /*Banner button---end*/


    .item-span {
        font-size: 10px;
    }

    .dn-title {
        font-size: 20px;
    }

    .hoverimg {
        height: 18px;
        width: 16px;
        top: 7%;
    }
    /*Location icon*/
    .ed-icon {
        width: 35px;
        height: 35px;
        margin: 14px 14px 0 0;
    }



    /*Dine items images*/
    .Dineimg {
        height: 161px;
    }
    /*Dine items images---END*/

    .hover-btn {
        /*padding:16px 27px;*/
    }


    /*Dine item height*/
    /*.dn-item {
    min-height: 320px;
    }*/
    /*Dine item height---end*/

}

/*1600x800*/
@media (min-width: 1600px) and (max-width: 1919px) {

    .desktopbanner {
        display: block;
    }

    .Phonepbanner {
        display: none;
    }

    /*Banner button*/
    .white-btn {
        padding: 19px 30px;
    }
    /*Banner button---end*/

    /*Hover button*/
    .hover-btn {
        padding: 14px 30px;
        font-size: 11px;
    }
    /*Hover button---end*/

    .item-span {
        font-size: 10px;
    }

    .nonvegicon {
        padding: 3px 5px;
    }

    .vegicon {
        padding: 3px 5px;
    }


    .dn-title {
        font-size: 20px;
    }

    .hoverimg {
        height: 18px;
        width: 16px;
        top: 7%;
    }

    .ed-icon {
        width: 35px;
        height: 35px;
    }

    .Dineimg {
        height: 160px;
    }


    /*Dine item height*/
    /*.dn-item {
    min-height: 380px;
    }*/
    /*Dine item height---end*/


}

/*HD Displays 1920x1080*/
@media (min-width: 1920px) {

    .desktopbanner {
        display: block;
    }

    .Phonepbanner {
        display: none;
    }
}
